<?php
class Tablero extends CI_Controller
{
	protected $_fechaActual;
	protected $_iduser;
	protected $_csstyle;
    protected $_tables;
    protected $_role;

	function __construct()
	{
		parent::__construct();

		if( ! $this->redux_auth->logged_in() )
		{//verificar si el el usuario ha iniciado sesion
 			redirect(base_url().'login');
 		}
		
		$datestring   = "%Y-%m-%d %H:%i:%s";
	    $this->_fechaActual = mdate($datestring,now());
		$this->_iduser = $this->session->userdata('id');
		$this->_role = $this->session->userdata('role');
		$this->config->load('style', TRUE);
		$this->_csstyle = $this->config->item('style');
        $this->config->load('js',TRUE);
        $this->_jss=$this->config->item('js');

        $this->load->model("modeloclientes","clientes");
		$this->load->model("ordenes_modelo","ordenes");
		$this->load->model("compras_modelo","compras");
		$this->load->model("facturacion_modelo","facturacion");
		$this->load->model("modelo_configuracion","configuracion");
		$this->load->model("bancos_model","bancos");
  	}
	
	public function obtenerCotizacion()
	{
		if(!empty($_POST))
		{
			$idCotizacion			= $this->input->post('idCotizacion');
			$data['cotizacion']		= $this->facturacion->obtenerCotizacion($idCotizacion);
			$data['cliente']		= $this->facturacion->obtenerCliente($data['cotizacion']->idCliente);
			$data['productos']		= $this->facturacion->obtenerProductosCotizacion($idCotizacion);

			$this->load->view('tablero/obtenerCotizacion',$data);
		}
	}
	
	public function obtenerVenta()
	{
		if(!empty($_POST))
		{
			$idCotizacion				= $this->input->post('idCotizacion');
			$data['cotizacion']			= $this->facturacion->obtenerCotizacion($idCotizacion);
			$data['cliente']			= $this->facturacion->obtenerCliente($data['cotizacion']->idCliente);
			$data['productos']			= $this->facturacion->obtenerProductosCotizacion($idCotizacion);

			$this->load->view('tablero/obtenerVenta',$data);
		}
	}
	
	public function obtenerCompra()
	{
		if(!empty($_POST))
		{
			$this->load->view('tablero/obtenerCompra');
		}
	}
	
	//=====================================================================================================================//
	//============================================OBTENER COBROS CLIENTES==================================================//
	//=====================================================================================================================//

	public function obtenerCobrosClientes()
	{
		$this->load->view('tablero/obtenerCobrosClientes');
	}
	
	//=====================================================================================================================//
	//============================================OBTENER PAGOS PROVEEDOR==================================================//
	//=====================================================================================================================//
	public function obtenerPagosCompras()
	{
		$this->load->view('tablero/obtenerPagosCompras');
	}
	
	public function obtenerDetallesFactura()
	{
		if(!empty($_POST))
		{
			$idFactura=$this->input->post('idFactura');
			
			$data['factura'] 		=$this->facturacion->obtenerFactura($idFactura);
			$data['cliente']		=$this->facturacion->obtenerCliente($data['factura']->idCliente);
			$data['productos']		=$this->facturacion->obtenerProductosFacturados($idFactura);

			$this->load->view('tablero/obtenerDetallesFactura',$data);
		}
	}
	
}//Clase de Clientes
?>
